View Issue Details

IDProjectCategoryView StatusLast Update
0001516DCP-o-matic[All Projects] Bugspublic2019-04-05 23:15
ReporterCarsten Assigned Tocarl  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformMacOSOS XOS Version10.12
Product Version2.14.0 
Target Version2.14.0Fixed in Version 
Summary0001516: multiple DCP text track files (CCAP) needs some cleaning up
Description

I know this currently is a rare demand, but...

When I add two SRT files and create a DCP text track for both in order to create a DCP with two different language CCAP tracks, there are a number of issues with it:

  • when creating the DCP, a warning is given, that overlapping text tracks are not allowed. I can still choose to create the DCP.

DCP-o-matic seems to create seemingly proper DCPs in both Interop and SMPTE, but, isn't it so that more than one CCAP track is only allowed in SMPTE?

  • When opening the DCP, the player exhibits a programming error (both Interop and SMPTE)

  • I was actually trying to provoke the situation that the players needs to offer a selection of the specific track file to be displayed in CCAP monitor. That functionality is needed in dcp-o-matic main as well.

So, a bit of tweaking is needed. No good deed goes unpunished...

TagsNo tags attached.
Estimated work requiredUnknown

Activities

Carsten

2019-03-29 00:11

manager  

Carsten

2019-03-29 00:11

manager  

Carsten

2019-03-29 00:11

manager  

carl

2019-03-29 00:20

administrator   ~0003209

"You have overlapping closed captions, which are not allowed."

carl

2019-03-29 00:45

administrator   ~0003210

Not clear whether Interop allows this; I think currently the hint says not but DCPs are created anyway.

Carsten

2019-03-29 00:54

manager   ~0003211

Last edited: 2019-03-29 00:56

View 3 revisions

It may well be that existing equipment will have no problem to have multiple CCAP tracks in interop as well. I can at least try to play them on a few servers. No big deal for now, I guess. Maybe we need to detect and give a separate hint for CCAP. In timeline view and in content list, the CCAP tracks are shown as subtitles. Maybe tag them as closed captions, and that is a way to handle this. In my test, I also use an open caption file, so, even an open caption and closed caption track in parallel could trigger that warning.
...testing... ah, no, I can have an open caption and a closed caption track in parallel without that hint coming up...

Yeah, I know, I am currently a bit overfocusing that multiple CCAP track/language option...probably the least important DCP feature of all currently...

I hope I can get my hands on a set of CCAP glasses shortly.

  • Carsten

carl

2019-03-29 01:20

administrator   ~0003212

641a81bf7ad436853525d734c0d41a0f1365ecd3 should fix language setup in CCAP tags
3271345e7b35c6fdbe85cb3a14337d10973370be should fix erroneous warning about overlapping CCAP assets
2e9744b7c79a0e56193b48bd0760a7b989f06079 should fix player crash when loading DCPs with multiple CCAP assets.

Just got to add a control to the player to allow choice of the CCAP to view.

carl

2019-03-29 16:25

administrator   ~0003215

Also we need to get the ISDCF name's subtitle language from the subtitle language settings rather than from the generic metadata (and I think Subtitle Language needs removing from that metadata, and a warning should be issued if a project is loaded with a non-empty ISDCF Metadata subtitle language).

carl

2019-04-02 23:45

administrator   ~0003228

698e3ac8863d264237003b49750ae074d612f451 gets subtitle language from TextContent.

carl

2019-04-03 00:37

administrator   ~0003229

Warning about ISDCFMetadata SubtitleLanguage in cd22846b748141261db1243588fe11d1a1504ce4

carl

2019-04-05 23:15

administrator   ~0003238

8969587a712a76fefbe929823c1aa0984ae798e8 adds selector for CCAP track.

carl

2019-04-05 23:15

administrator   ~0003239

I think this is all done now ... let me know if not!

Issue History

Date Modified Username Field Change
2019-03-29 00:10 Carsten New Issue
2019-03-29 00:11 Carsten File Added: Bildschirmfoto 2019-03-29 um 00.59.36.png
2019-03-29 00:11 Carsten File Added: Bildschirmfoto 2019-03-29 um 01.01.09.png
2019-03-29 00:11 Carsten File Added: Bildschirmfoto 2019-03-29 um 01.04.39.png
2019-03-29 00:14 Carsten Description Updated View Revisions
2019-03-29 00:18 carl Target Version 2.14.x => 2.14.0
2019-03-29 00:20 carl Note Added: 0003209
2019-03-29 00:20 carl Assigned To => carl
2019-03-29 00:20 carl Status new => confirmed
2019-03-29 00:45 carl Note Added: 0003210
2019-03-29 00:54 Carsten Note Added: 0003211
2019-03-29 00:55 Carsten Note Edited: 0003211 View Revisions
2019-03-29 00:56 Carsten Note Edited: 0003211 View Revisions
2019-03-29 01:20 carl Note Added: 0003212
2019-03-29 16:25 carl Note Added: 0003215
2019-04-02 23:45 carl Note Added: 0003228
2019-04-03 00:37 carl Note Added: 0003229
2019-04-05 23:15 carl Note Added: 0003238
2019-04-05 23:15 carl Status confirmed => resolved
2019-04-05 23:15 carl Resolution open => fixed
2019-04-05 23:15 carl Note Added: 0003239